## ros-indigo-katana 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(katana)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslib
  kni
  std_srvs
  sensor_msgs
  actionlib
  control_msgs
  trajectory_msgs
  urdf
  tf
  katana_msgs
  geometry_msgs
  moveit_msgs
  geometry_msgs
)

find_package(Boost REQUIRED COMPONENTS system thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
  CATKIN_DEPENDS
    roscpp
    roslib
    kni
    std_srvs
    sensor_msgs
    actionlib
    control_msgs
    trajectory_msgs
    urdf
    tf
    katana_msgs
    geometry_msgs
    moveit_msgs
    geometry_msgs
  DEPENDS
    Boost
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(katana src/KatanaNode.cpp
                      src/AbstractKatana.cpp
                      src/Katana.cpp
                      src/Katana300.cpp
                      src/SimulatedKatana.cpp
                      src/JointStatePublisher.cpp
                      src/joint_trajectory_action_controller.cpp
                      src/joint_movement_action_controller.cpp
                      src/KNIConverter.cpp
                      src/spline_functions.cpp
                      src/katana_gripper_grasp_controller.cpp)
target_link_libraries(katana ${catkin_LIBRARIES})
add_dependencies(katana ${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

add_executable(katana_arm_kinematics src/KNIConverter.cpp
                      src/KNIKinematics.cpp)
target_link_libraries(katana_arm_kinematics ${catkin_LIBRARIES})
add_dependencies(katana_arm_kinematics ${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS katana katana_arm_kinematics
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY config
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

catkin_install_python(PROGRAMS nodes/fake_katana_joint_publisher.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-katana (1.1.2-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-indigo-katana (1.1.1-0trusty) trusty; urgency=high

  * Compile katana package with c++11
    This fixes the following warning introduced in adf463b6:
    katana_driver/katana/include/katana/Katana300.h:64:47: warning: non-static data member initializers only available with -std=c++11 or -std=gnu++11 [enabled by default]
    const double JOINTS_STOPPED_POS_TOLERANCE = 0.01;
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-indigo-katana (1.1.0-0trusty) trusty; urgency=high

  * Fix build with gcc6 and C++11
  * Contributors: Jochen Sprickerhof

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-indigo-katana (1.0.8-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-indigo-katana (1.0.7-0trusty) trusty; urgency=high

  * KNIKinematics: Remove GetKinematicSolverInfo service
    The service definition was removed from moveit_msgs on Kinetic in commit 2f3f97b9.
  * Contributors: Martin Guenther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Fri, 10 Feb 2017 23:00:00 -0000

ros-indigo-katana (1.0.6-0trusty) trusty; urgency=high

  * Initial release to Kinetic
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 26 Jan 2017 23:00:00 -0000

ros-indigo-katana (1.0.5-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 11 Apr 2016 22:00:00 -0000

ros-indigo-katana (1.0.4-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-katana (1.0.3-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 28 Jun 2015 22:00:00 -0000

ros-indigo-katana (1.0.2-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Tue, 05 May 2015 22:00:00 -0000

ros-indigo-katana (1.0.1-0trusty) trusty; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 16 Mar 2015 23:00:00 -0000

ros-indigo-katana (1.0.0-0trusty) trusty; urgency=high

  * Initial release to Debian packages
  * Contributors: Martin Günther, Henning Deeken, Jochen Sprickerhof, Benjamin Reiner, Michael Görner, André Potenza, Frederik Hegger

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 15 Mar 2015 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-katana
Section: misc
Priority: extra
Maintainer: Martin Günther <mguenthe@uni-osnabrueck.de>
Build-Depends: debhelper (>= 9.0.0), libarmadillo-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-katana-msgs, ros-indigo-kni, ros-indigo-moveit-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-urdf
Homepage: http://ros.org/wiki/katana
Standards-Version: 3.9.2

Package: ros-indigo-katana
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libarmadillo-dev, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-katana-msgs, ros-indigo-kni, ros-indigo-moveit-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-urdf
Description: This package provides ROS interfaces to the Neuronics Katana 450 arm.
 It wraps the KNI library for low-level communication with the Katana arm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-katana//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
